What Works

So I installed 1.9.2dev and now the rails server doesn't work.
I have rails beta3 release 3

What do I need to go back to for things to work??

When the fix something where do you download the fix?

Thanks

So I installed 1.9.2dev and now the rails server doesn’t work.

I have rails beta3 release 3

What do I need to go back to for things to work??

Ken, how did you try to start the server? In Rails 3,

one starts the server as follows:

rails server

or

rails s

Next, I would recommend reading the following document

if you haven’t done so:

http://guides.rails.info/getting_started.html

When the fix something where do you download the fix?

One can usually see fixes within Edge Rails and you can

generate a Rails with the latest sources by doing the following:

rails myapp --edge

Good luck,

-Conrad

Thanks and yes I restarted the server over and over
is there a bug in ruby??

Thanks and yes I restarted the server over and over

is there a bug in ruby??

Please post the exact error message.

-Conrad

Conrad Taylor wrote:

Thanks and yes I restarted the server over and over
is there a bug in ruby??

Please post the exact error message.

-Conrad

Macintosh-5:todo kenfoust$ rails s
/usr/local/lib/ruby/gems/1.9.1/gems/devise-1.1.rc1/bundler/gems/rails-16a5e918a06649ffac24fd5873b875daf66212ad-master/activesupport/lib/active_support/core_ext/object/try.rb:29:
[BUG] rb_add_method: unsupported method type (8)

ruby 1.9.2dev (2009-07-18 trunk 24186) [i386-darwin10.3.0]

-- control frame ----------
c:0050 p:---- s:0136 b:0136 l:000135 d:000135 CFUNC :alias_method
c:0049 p:0044 s:0131 b:0131 l:000130 d:000130 CLASS
/usr/local/lib/ruby/gems/1.9.1/gems/devise-1.1.rc1/bundler/gems/rails-16a5e918a06649ffac24fd5873b875daf66212ad-master/activesup
c:0048 p:0009 s:0129 b:0129 l:000128 d:000128 TOP
/usr/local/lib/ruby/gems/1.9.1/gems/devise-1.1.rc1/bundler/gems/rails-16a5e918a06649ffac24fd5873b875daf66212ad-master/activesup
c:0047 p:---- s:0127 b:0127 l:000126 d:000126 FINISH
c:0046 p:---- s:0125 b:0125 l:000124 d:000124 CFUNC :require
c:0045 p:0023 s:0121 b:0121 l:000120 d:000120 TOP
/usr/local/lib/ruby/gems/1.9.1/gems/devise-1.1.rc1/bundler/gems/rails-16a5e918a06649ffac24fd5873b875daf66212ad-master/activesup
c:0044 p:---- s:0119 b:0119 l:000118 d:000118 FINISH
c:0043 p:---- s:0117 b:0117 l:000116 d:000116 CFUNC :require
c:0042 p:0011 s:0113 b:0113 l:000112 d:000112 TOP
/usr/local/lib/ruby/gems/1.9.1/gems/devise-1.1.rc1/bundler/gems/rails-16a5e918a06649ffac24fd5873b875daf66212ad-master/activesup
c:0041 p:---- s:0111 b:0111 l:000110 d:000110 FINISH
c:0040 p:---- s:0109 b:0109 l:000108 d:000108 CFUNC :require
c:0039 p:0011 s:0105 b:0105 l:000104 d:000104 TOP
/usr/local/lib/ruby/gems/1.9.1/gems/devise-1.1.rc1/bundler/gems/rails-16a5e918a06649ffac24fd5873b875daf66212ad-master/activesup
c:0038 p:---- s:0103 b:0103 l:000102 d:000102 FINISH
c:0037 p:---- s:0101 b:0101 l:000100 d:000100 CFUNC :require
c:0036 p:0035 s:0097 b:0097 l:000096 d:000096 TOP
/usr/local/lib/ruby/gems/1.9.1/gems/devise-1.1.rc1/bundler/gems/rails-16a5e918a06649ffac24fd5873b875daf66212ad-master/activesup
c:0035 p:---- s:0095 b:0095 l:000094 d:000094 FINISH
c:0034 p:---- s:0093 b:0093 l:000092 d:000092 CFUNC :require
c:0033 p:0023 s:0089 b:0089 l:000088 d:000088 TOP
/usr/local/lib/ruby/gems/1.9.1/gems/devise-1.1.rc1/bundler/gems/rails-16a5e918a06649ffac24fd5873b875daf66212ad-master/activesup
c:0032 p:---- s:0087 b:0087 l:000086 d:000086 FINISH
c:0031 p:---- s:0085 b:0085 l:000084 d:000084 CFUNC :require
c:0030 p:0076 s:0081 b:0081 l:000080 d:000080 TOP
/usr/local/lib/ruby/gems/1.9.1/gems/devise-1.1.rc1/bundler/gems/rails-16a5e918a06649ffac24fd5873b875daf66212ad-master/actionpac
c:0029 p:---- s:0078 b:0078 l:000077 d:000077 FINISH
c:0028 p:---- s:0076 b:0076 l:000075 d:000075 CFUNC :require
c:0027 p:0011 s:0072 b:0072 l:000071 d:000071 TOP
/usr/local/lib/ruby/gems/1.9.1/gems/devise-1.1.rc1/bundler/gems/rails-16a5e918a06649ffac24fd5873b875daf66212ad-master/actionpac
c:0026 p:---- s:0070 b:0070 l:000069 d:000069 FINISH
c:0025 p:---- s:0068 b:0068 l:000067 d:000067 CFUNC :require
c:0024 p:0023 s:0064 b:0064 l:000063 d:000063 TOP
/usr/local/lib/ruby/gems/1.9.1/gems/devise-1.1.rc1/bundler/gems/rails-16a5e918a06649ffac24fd5873b875daf66212ad-master/actionpac
c:0023 p:---- s:0062 b:0062 l:000061 d:000061 FINISH
c:0022 p:---- s:0060 b:0060 l:000059 d:000059 CFUNC :require
c:0021 p:0047 s:0056 b:0056 l:000055 d:000055 TOP
/usr/local/lib/ruby/gems/1.9.1/gems/devise-1.1.rc1/bundler/gems/rails-16a5e918a06649ffac24fd5873b875daf66212ad-master/activerec
c:0020 p:---- s:0054 b:0054 l:000053 d:000053 FINISH
c:0019 p:---- s:0052 b:0052 l:000051 d:000051 CFUNC :require
c:0018 p:0021 s:0048 b:0048 l:000039 d:000047 BLOCK
/usr/local/lib/ruby/gems/1.9.1/gems/devise-1.1.rc1/bundler/gems/rails-16a5e918a06649ffac24fd5873b875daf66212ad-master/railties/
c:0017 p:---- s:0045 b:0045 l:000044 d:000044 FINISH
c:0016 p:---- s:0043 b:0043 l:000042 d:000042 CFUNC :each
c:0015 p:0032 s:0040 b:0040 l:000039 d:000039 TOP
/usr/local/lib/ruby/gems/1.9.1/gems/devise-1.1.rc1/bundler/gems/rails-16a5e918a06649ffac24fd5873b875daf66212ad-master/railties/
c:0014 p:---- s:0038 b:0038 l:000037 d:000037 FINISH
c:0013 p:---- s:0036 b:0036 l:000035 d:000035 CFUNC :require
c:0012 p:0038 s:0032 b:0032 l:000031 d:000031 TOP
/Users/kenfoust/Projects/RubyProjects/todo/config/application.rb:3
c:0011 p:---- s:0030 b:0030 l:000029 d:000029 FINISH
c:0010 p:---- s:0028 b:0028 l:000027 d:000027 CFUNC :require
c:0009 p:0016 s:0024 b:0024 l:000015 d:000023 BLOCK
/usr/local/lib/ruby/gems/1.9.1/gems/devise-1.1.rc1/bundler/gems/rails-16a5e918a06649ffac24fd5873b875daf66212ad-master/railties/
c:0008 p:---- s:0021 b:0021 l:000020 d:000020 FINISH
c:0007 p:---- s:0019 b:0019 l:000018 d:000018 CFUNC :tap
c:0006 p:0442 s:0016 b:0016 l:000015 d:000015 TOP
/usr/local/lib/ruby/gems/1.9.1/gems/devise-1.1.rc1/bundler/gems/rails-16a5e918a06649ffac24fd5873b875daf66212ad-master/railties/
c:0005 p:---- s:0012 b:0012 l:000011 d:000011 FINISH
c:0004 p:---- s:0010 b:0010 l:000009 d:000009 CFUNC :require
c:0003 p:0097 s:0006 b:0006 l:002368 d:000d78 EVAL script/rails:9
c:0002 p:---- s:0004 b:0004 l:000003 d:000003 FINISH
c:0001 p:0000 s:0002 b:0002 l:002368 d:002368 TOP

Ken Foust wrote:
and with another app

Macintosh-5:blog kenfoust$ rails s
/usr/local/lib/ruby/gems/1.9.1/gems/activesupport-3.0.0.beta3/lib/active_support/values/time_zone.rb:208:in
`utc_offset': undefined method `current_period' for nil:NilClass
(NoMethodError)
  from
/usr/local/lib/ruby/gems/1.9.1/gems/activesupport-3.0.0.beta3/lib/active_support/values/time_zone.rb:222:in
`<=>'
  from
/usr/local/lib/ruby/gems/1.9.1/gems/activesupport-3.0.0.beta3/lib/active_support/values/time_zone.rb:333:in
`sort!'
  from
/usr/local/lib/ruby/gems/1.9.1/gems/activesupport-3.0.0.beta3/lib/active_support/values/time_zone.rb:333:in
`<class:TimeZone>'
  from
/usr/local/lib/ruby/gems/1.9.1/gems/activesupport-3.0.0.beta3/lib/active_support/values/time_zone.rb:25:in
`<module:ActiveSupport>'
  from
/usr/local/lib/ruby/gems/1.9.1/gems/activesupport-3.0.0.beta3/lib/active_support/values/time_zone.rb:24:in
`<top (required)>'
  from
/usr/local/lib/ruby/gems/1.9.1/gems/activesupport-3.0.0.beta3/lib/active_support/time_with_zone.rb:1:in
`require'
  from
/usr/local/lib/ruby/gems/1.9.1/gems/activesupport-3.0.0.beta3/lib/active_support/time_with_zone.rb:1:in
`<top (required)>'
  from
/usr/local/lib/ruby/gems/1.9.1/gems/activesupport-3.0.0.beta3/lib/active_support/core_ext/time/zones.rb:1:in
`require'
  from
/usr/local/lib/ruby/gems/1.9.1/gems/activesupport-3.0.0.beta3/lib/active_support/core_ext/time/zones.rb:1:in
`<top (required)>'
  from
/usr/local/lib/ruby/gems/1.9.1/gems/activesupport-3.0.0.beta3/lib/active_support/core_ext/date/calculations.rb:3:in
`require'
  from
/usr/local/lib/ruby/gems/1.9.1/gems/activesupport-3.0.0.beta3/lib/active_support/core_ext/date/calculations.rb:3:in
`<top (required)>'
  from
/usr/local/lib/ruby/gems/1.9.1/gems/activesupport-3.0.0.beta3/lib/active_support/ruby/shim.rb:12:in
`require'
  from
/usr/local/lib/ruby/gems/1.9.1/gems/activesupport-3.0.0.beta3/lib/active_support/ruby/shim.rb:12:in
`<top (required)>'
  from
/usr/local/lib/ruby/gems/1.9.1/gems/actionpack-3.0.0.beta3/lib/abstract_controller.rb:4:in
`require'
  from
/usr/local/lib/ruby/gems/1.9.1/gems/actionpack-3.0.0.beta3/lib/abstract_controller.rb:4:in
`<top (required)>'
  from
/usr/local/lib/ruby/gems/1.9.1/gems/actionpack-3.0.0.beta3/lib/action_controller.rb:1:in
`require'
  from
/usr/local/lib/ruby/gems/1.9.1/gems/actionpack-3.0.0.beta3/lib/action_controller.rb:1:in
`<top (required)>'
  from
/usr/local/lib/ruby/gems/1.9.1/gems/actionpack-3.0.0.beta3/lib/action_controller/railtie.rb:2:in
`require'
  from
/usr/local/lib/ruby/gems/1.9.1/gems/actionpack-3.0.0.beta3/lib/action_controller/railtie.rb:2:in
`<top (required)>'
  from
/usr/local/lib/ruby/gems/1.9.1/gems/activerecord-3.0.0.beta3/lib/active_record/railtie.rb:9:in
`require'
  from
/usr/local/lib/ruby/gems/1.9.1/gems/activerecord-3.0.0.beta3/lib/active_record/railtie.rb:9:in
`<top (required)>'
  from
/usr/local/lib/ruby/gems/1.9.1/gems/railties-3.0.0.beta3/lib/rails/all.rb:11:in
`require'
  from
/usr/local/lib/ruby/gems/1.9.1/gems/railties-3.0.0.beta3/lib/rails/all.rb:11:in
`block in <top (required)>'
  from
/usr/local/lib/ruby/gems/1.9.1/gems/railties-3.0.0.beta3/lib/rails/all.rb:5:in
`each'
  from
/usr/local/lib/ruby/gems/1.9.1/gems/railties-3.0.0.beta3/lib/rails/all.rb:5:in
`<top (required)>'
  from
/Users/kenfoust/Projects/RubyProjects/blog/config/application.rb:3:in
`require'
  from
/Users/kenfoust/Projects/RubyProjects/blog/config/application.rb:3:in
`<top (required)>'
  from
/usr/local/lib/ruby/gems/1.9.1/gems/railties-3.0.0.beta3/lib/rails/commands.rb:39:in
`require'
  from
/usr/local/lib/ruby/gems/1.9.1/gems/railties-3.0.0.beta3/lib/rails/commands.rb:39:in
`<top (required)>'
  from script/rails:9:in `require'
  from script/rails:9:in `<main>'
Macintosh-5:blog kenfoust$

Ken, I would recommend using the Ruby Version Manager (RVM) to manage your ruby installations;

You can find more information here:

http://rvm.beginrescueend.com

In short, you would do the following within a shell window:

mkdir -p ~/.rvm/src/ && cd ~/.rvm/src && rm -rf ./rvm/ && git clone --depth 1 git://[github.com/wayneeseguin/rvm.git](http://github.com/wayneeseguin/rvm.git) && cd rvm && ./install

Next, you would install 1.9.2 from the trunk using the following:

rvm install 1.9.2-head

Good luck,

-Conrad